=== debian/changelog ===
obs-downstream-keyer (0.2.1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: little improvement in long description.
  * debian/copyright: updated packaging copyright years.
  * debian/install: put the l10n files in right place.
  * debian/rules: using variables to improve and standardize the building.
  * debian/tests/*: added to provide a trivial CI test. The current test checks
    if the lib loads.
  * debian/upstream/metadata: added Donation field.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 25 Jan 2022 16:38:22 -0300

obs-downstream-keyer (0.2.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1001275)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 07 Dec 2021 10:13:13 -0300
