=== debian/control ===
Source: obs-downstream-keyer
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 27.1), qtbase5-dev
Standards-Version: 4.6.0
Homepage: https://obsproject.com/forum/resources/downstream-keyer.1254/
Vcs-Browser: https://salsa.debian.org/debian/obs-downstream-keyer
Vcs-Git: https://salsa.debian.org/debian/obs-downstream-keyer.git
Rules-Requires-Root: no

Package: obs-downstream-keyer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 27.1)
Enhances: obs-studio
Description: plugin for OBS Studio that adds a Downstream Keyer (DSK) dock
 This plugin allows OBS to create overlays. Overlays are objects over a scene.
 Changing this scene will keep the overlay. This resource can be used to show
 logos, news or to show chat comments in live streams (there are some tutorials
 in the Internet to learn about the integration between this plugin and web
 browsers).
 .
 This plugin is compatible with OBS 27 or higher.
