## obs-downstream-keyer 0.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,12 @@
-project(downstream-keyer VERSION 0.2.1)
+cmake_minimum_required(VERSION 3.18)
+project(downstream-keyer VERSION 0.2.3)
 set(PROJECT_FULL_NAME "Downstream keyer")
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)
 
+find_package(Qt5Widgets)
+
+set(CMAKE_AUTOMOC ON)
 set(downstream-keyer_HEADERS
 	downstream-keyer-dock.hpp
 	downstream-keyer.hpp
