=== debian/changelog ===
obs-downstream-keyer (0.2.3-1) unstable; urgency=medium

  * New upstream version 0.2.3.
  * debian/patches/010_fix-cmake.patch: updated to make it compliant with the
    new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 05 Jun 2022 10:56:35 -0300

obs-downstream-keyer (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2.
  * debian/copyright: updated upstream copyright years.
  * debian/patches/010_fix-cmake.patch: updated to be compliant with new
    upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 04 Mar 2022 23:22:27 -0300
