=== debian/changelog ===
obs-downstream-keyer (0.2.6-4) unstable; urgency=medium

  * debian/rules: removed temporary workaround to exclude extra installed
    files in favor of the '-DLINUX_PORTABLE=Off' argument for CMake.
  * debian/upstream/metadata: updated Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 18:32:26 -0300

obs-downstream-keyer (0.2.6-3) unstable; urgency=medium

  * debian/watch: using filenamemangle to generate right names for downloaded
    files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 31 Jan 2023 12:43:53 -0300

obs-downstream-keyer (0.2.6-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/010_update-translation-pt-BR.patch: created to update pt_BR
    translation.
  * debian/rules: added a target to check if translation to pt_BR is updated.
  * debian/watch: improved the search rule, checking if the upstream forgotten
    to add a tag on GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 28 Jan 2023 23:29:44 -0300

obs-downstream-keyer (0.2.6-1) unstable; urgency=medium

  * New upstream version 0.2.6.
  * debian/copyright:
      - Added new rights for upstreams.
      - Converted the last paragraph of the GPL-2 in a comment.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 01 Dec 2022 20:13:15 -0300

obs-downstream-keyer (0.2.5-1) unstable; urgency=medium

  * New upstream version 0.2.5.
  * Ran wrap-and-sort.
  * debian/control:
      - Bumped Standards-Version to 4.6.1.
      - Bumped relationships from 27.1 to 28.0.1 for obs-studio and libobs.
      - Removed a sentence about minimum supported version for OBS in long
        description.
  * debian/patches/: removed all patches because de upstream fixed the source
    code. Thanks!
  * debian/rules: added a temporary workaround to remove duplicate files
    created by upstream.
  * debian/upstream/metadata: removed duplicate Donation field.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Oct 2022 19:55:41 -0300
