=== debian/changelog ===
obs-downstream-keyer (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2. (Closes: #1060976)
  * debian/control: changed qtbase5-dev by qt6-base-dev in Build-Depends field.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/010_update-translation-pt-BR.patch: created to update pt_BR
    translation.
  * debian/rules:
      - Added DEB_CFLAGS_MAINT_APPEND variable to use -Wno-psabi to allow this
        plugin to build over i386 (and possible other architectures).
      - Removed no longer needed variable QT_SELECT=qt5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 09 May 2024 09:04:48 -0300

obs-downstream-keyer (0.2.7-2) unstable; urgency=medium

  * debian/copyright: updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Nov 2023 17:56:13 -0300

obs-downstream-keyer (0.2.7-1) unstable; urgency=medium

  * New upstream version 0.2.7.
  * debian/control:
      - Added a Breaks field to make this plugin incompatible with
        obs-text-slideshow, no longer in Debian.
      - Bumped (build-)dependency of libobs-dev and obs-studio to 29.
  * debian/patches/010_update-translation-pt-BR.patch: dropped because the
    upstream applied this patch to the source code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Nov 2023 13:07:53 -0300
