=== debian/control ===
--- 
+++ 
@@ -2,10 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libobs-dev (>= 28.0.1),
-               qtbase5-dev
+Build-Depends: cmake, debhelper-compat (= 13), libobs-dev (>= 29), qt6-base-dev
 Standards-Version: 4.6.2
 Homepage: https://obsproject.com/forum/resources/downstream-keyer.1254/
 Vcs-Browser: https://salsa.debian.org/debian/obs-downstream-keyer
@@ -14,8 +11,9 @@
 
 Package: obs-downstream-keyer
 Architecture: any
-Depends: obs-studio (>= 28.0.1), ${misc:Depends}, ${shlibs:Depends}
+Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
 Enhances: obs-studio
+Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio that adds a Downstream Keyer (DSK) dock
  This plugin allows OBS to create overlays. Overlays are objects over a scene.
  Changing this scene will keep the overlay. This resource can be used to show
