=== debian/changelog ===
obs-downstream-keyer (0.3.3-2) unstable; urgency=medium

  * debian/control:
      - Added libxkbcommon-dev to Build-Depends field.
      - Bumped Standards-Version to 4.7.2.
  * debian/copyright: updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Mar 2025 19:52:00 -0300

obs-downstream-keyer (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3.
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/patches/010_update-pt-BR.patch: updated to be compliant with the
    last upstream version.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 09 Dec 2024 10:59:14 -0300
