=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: video
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13), libobs-dev (>= 29), qt6-base-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libobs-dev (>= 29),
+               libxkbcommon-dev,
+               qt6-base-dev
+Standards-Version: 4.7.2
 Homepage: https://obsproject.com/forum/resources/downstream-keyer.1254/
 Vcs-Browser: https://salsa.debian.org/debian/obs-downstream-keyer
 Vcs-Git: https://salsa.debian.org/debian/obs-downstream-keyer.git
