=== debian/changelog ===
obs-downstream-keyer (0.4.3-0ubuntu1) resolute; urgency=medium

  * New upstream release 0.4.3
  * debian/control:
    - Build only for obs-studio supported architectures
    - Add missing build dependency qt6-base-private-dev
  * Remove upstreamed pt-BR patch

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 06 Dec 2025 18:56:26 -0800
