=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: obs-downstream-keyer
 Section: video
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libobs-dev (>= 29),
                libxkbcommon-dev,
-               qt6-base-dev
+               qt6-base-dev,
+               qt6-base-private-dev
 Standards-Version: 4.7.2
 Homepage: https://obsproject.com/forum/resources/downstream-keyer.1254/
 Vcs-Browser: https://salsa.debian.org/debian/obs-downstream-keyer
@@ -14,7 +16,7 @@
 Rules-Requires-Root: no
 
 Package: obs-downstream-keyer
-Architecture: any
+Architecture: amd64 amd64v3 arm64 riscv64 s390x
 Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)
