=== debian/changelog ===
obs-downstream-keyer (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4.
  * debian/clean: added cmake/.CMakeBuildNumber.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Changed from qt6-base-dev to qt6-base-private-dev in Build-Depends
        field.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
      - Updated the relationship for libobs-dev in (Build-)Depends fields
        because this version of this plugin depends of OBS 31.1 or higher.
        (Closes: #1128464)
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/010_update-pt-BR.patch: removed because the upstream
    applied this patch. Thanks.
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Feb 2026 15:53:59 -0300
