=== debian/control ===
Source: obs-downstream-keyer
Section: video
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libobs-dev (>= 31.1),
               libxkbcommon-dev,
               qt6-base-private-dev
Standards-Version: 4.7.3
Homepage: https://obsproject.com/forum/resources/downstream-keyer.1254/
Vcs-Browser: https://salsa.debian.org/debian/obs-downstream-keyer
Vcs-Git: https://salsa.debian.org/debian/obs-downstream-keyer.git

Package: obs-downstream-keyer
Architecture: any
Depends: obs-studio (>= 31.1), ${misc:Depends}, ${shlibs:Depends}
Enhances: obs-studio
Breaks: obs-text-slideshow (<= 1.5.2-3)
Description: plugin for OBS Studio that adds a Downstream Keyer (DSK) dock
 This plugin allows OBS to create overlays. Overlays are objects over a scene.
 Changing this scene will keep the overlay. This resource can be used to show
 logos, news or to show chat comments in live streams (there are some tutorials
 in the Internet to learn about the integration between this plugin and web
 browsers).
